-----Crear adjunto comentario

declare @licencia as varchar(100)
set @licencia =(SELECT uid FROM [seg_usuario] where id=1)

declare @id_permisoaccion as int

if not exists (select * from gui_funcionalidad  where nombreComando = 'adjuntarArchivo' and funcionalidad = 'Adjuntar Archivo' and id_tipoFuncionalidad = 5 and active = 1)
begin 

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
  select 
           @licencia,'01',1,1,getdate(),getdate(),1,'Adjuntar Archivo','','','','','','',0,'','adjuntarArchivo',0,id,5 from gui_funcionalidad 
			 where nombreControl like '%doc_documentoComentario_%' and id_tipoFuncionalidad = 3 and active =1
end 

--- ASIGNACION DEL PERMISOS, TODOS LOS PERFILES
DECLARE @tabla TABLE (idfuncionalidad int, revisado int default 0)
INSERT INTO @tabla (idfuncionalidad)
(select id from gui_funcionalidad  where nombreComando = 'adjuntarArchivo' and id_tipoFuncionalidad = 5 and active = 1)
declare @cantidad int = (SELECT COUNT ( DISTINCT idfuncionalidad) from @tabla )
declare @RT as integer = 0
declare @id as integer = 0
 while @RT < @cantidad
 begin

 set @id = (select top 1 idfuncionalidad from @tabla where revisado = 0)
 set @id_permisoaccion =(select top 1 id from gui_funcionalidad  where id =  @id and nombreComando = 'adjuntarArchivo' and id_tipoFuncionalidad = 5 and active = 1) 
  if not exists( select * from seg_perfil_funcionalidad where id_funcionalidad =  @id_permisoaccion) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion 
     from seg_perfil 

     end

  UPDATE @tabla set revisado = 1 where revisado = 0 and idfuncionalidad = @id
  SET @RT = @RT + 1
 end


